Execute All
Execute all items with their forms.
Execute all items with their forms.
Request
URI
POST
https://{api_host}/forms/evaluations
COPY
Request Body
BatchExecution
of type(s)
application/json
Required
{
"token": "string",
"executions": [
{
"actionId": "string",
"error": "string",
"inputs": {
"executionId": "string",
"parameters": [
{
"value": {
"type": "string",
"id": "string",
"displayValue": "string",
"href": "string",
"objectType": "string"
},
"name": "string",
"type": "Example types are: SecureString, MimeAttachment, Regexp, Array/VC:VirtualMachine, boolean, string and etc.",
"description": "string",
"scope": "string",
"updated": false,
"encrypt-value": false
}
],
"profilerOptions": {
"enabled": false,
"debuggerEnabled": false,
"tokenReplayEnabled": false
}
}
}
]
}
string
token
Optional
token
array of
object
executions
Optional
executions
Responses
200
OK
Returns
BatchExecutionResult
of type(s)
application/json
{
"results": [
{
"result": {},
"error": "string"
}
]
}
array of
object
results
Optional
results
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/forms/evaluations